Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ERROR: kde-base/solid-9999 failed: "solved"
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 961
Location: halmstad

PostPosted: Sat Jan 29, 2011 5:11 pm    Post subject: ERROR: kde-base/solid-9999 failed: "solved" Reply with quote

hi is there a way to fix this:



-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
CMake Error at /usr/share/apps/cmake/modules/FindKDE4Internal.cmake:1382 (message):
ERROR: the installed kdelibs version 4.5.80 is too old, at least version
4.6.40 is required
Call Stack (most recent call first):
/usr/share/cmake/Modules/FindKDE4.cmake:95 (FIND_PACKAGE)
CMakeLists.txt:22 (find_package)


-- Configuring incomplete, errors occurred!
* ERROR: kde-base/solid-9999 failed:
* cmake failed
*
* Call stack:
* ebuild.sh, line 56: Called src_configure
* environment, line 4460: Called kde4-meta_src_configure
* environment, line 3515: Called kde4-base_src_configure
* environment, line 3213: Called cmake-utils_src_configure
* environment, line 1356: Called _execute_optionaly 'src_configure'
* environment, line 742: Called enable_cmake-utils_src_configure
* environment, line 1798: Called die









>>> Failed to emerge kde-base/solid-9999, Log file:

>>> '/var/tmp/portage/kde-base/solid-9999/temp/build.log'

* Messages for package kde-base/solid-9999:

* ERROR: kde-base/solid-9999 failed:
* cmake failed
*
* Call stack:
* ebuild.sh, line 56: Called src_configure
* environment, line 4460: Called kde4-meta_src_configure
* environment, line 3515: Called kde4-base_src_configure
* environment, line 3213: Called cmake-utils_src_configure
* environment, line 1356: Called _execute_optionaly 'src_configure'
* environment, line 742: Called enable_cmake-utils_src_configure
* environment, line 1798: Called die
* The specific snippet of code:
* "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
*
* If you need support, post the output of 'emerge --info =kde-base/solid-9999',
* the complete build log and the output of 'emerge -pqv =kde-base/solid-9999'.
* This ebuild used the following eclasses from overlays:
* /var/lib/layman/kde/eclass/kde4-meta.eclass
* /var/lib/layman/kde/eclass/kde4-base.eclass
* /var/lib/layman/kde/eclass/kde4-functions.eclass
* This ebuild is from an overlay named 'kde': '/var/lib/layman/kde/'
* The complete build log is located at '/var/tmp/portage/kde-base/solid-9999/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/solid-9999/temp/environment'.
* S: '/var/tmp/portage/kde-base/solid-9999/work/solid-9999'

* IMPORTANT: 3 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

mybox hedmo #



hope this will give you some info :?

regards


Last edited by hedmo on Sun Jan 30, 2011 8:05 am; edited 1 time in total
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Jan 29, 2011 5:27 pm    Post subject: Reply with quote

you do read your error messages - do you ? ;)
Quote:
CMake Error at /usr/share/apps/cmake/modules/FindKDE4Internal.cmake:1382 (message):
ERROR: the installed kdelibs version 4.5.80 is too old, at least version
4.6.40 is required


try re-emerging kdelibs
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 961
Location: halmstad

PostPosted: Sun Jan 30, 2011 7:22 am    Post subject: Reply with quote

:oops: thanks
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum